"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSourceList = exports.modelHidden = exports.markingDataSyncUsingPOST = exports.modelList = exports.historicalDataSynchronizationUsingPOST = exports.deleteModelByIdsUsingPOST = exports.deleteAbModelByIdsUsingPOST = exports.cancelModelHidden = exports.modelAdd = exports.abnormalModelList = exports.abnormalModelHidden = void 0;
const tslib_1 = require("tslib");
// @ts-ignore
/* eslint-disable */
const request_1 = tslib_1.__importDefault(require("@/utils/request"));
/** 异常型号列表转移至app型号列表 POST /smarthome/ops/appAddByModel/abnormalModelHidden */
function abnormalModelHidden(body, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/appAddByModel/abnormalModelHidden`, method: 'POST', data: body }, (options || {})));
    });
}
exports.abnormalModelHidden = abnormalModelHidden;
/** 异常型号列表 POST /smarthome/ops/appAddByModel/abnormalModelList */
function abnormalModelList(body, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/appAddByModel/abnormalModelList`, method: 'POST', data: body }, (options || {})));
    });
}
exports.abnormalModelList = abnormalModelList;
/** App型号管理列表手动添加 POST /smarthome/ops/appAddByModel/add */
function modelAdd(body, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/appAddByModel/add`, method: 'POST', data: body }, (options || {})));
    });
}
exports.modelAdd = modelAdd;
/** 取消按型号隐藏 POST /smarthome/ops/appAddByModel/cancelModelHidden */
function cancelModelHidden(body, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/appAddByModel/cancelModelHidden`, method: 'POST', data: body }, (options || {})));
    });
}
exports.cancelModelHidden = cancelModelHidden;
/** deleteAbModelByIds POST /smarthome/ops/appAddByModel/deleteAbModelByIds */
function deleteAbModelByIdsUsingPOST(body, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/appAddByModel/deleteAbModelByIds`, method: 'POST', data: body }, (options || {})));
    });
}
exports.deleteAbModelByIdsUsingPOST = deleteAbModelByIdsUsingPOST;
/** deleteModelByIds POST /smarthome/ops/appAddByModel/deleteModelByIds */
function deleteModelByIdsUsingPOST(body, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/appAddByModel/deleteModelByIds`, method: 'POST', data: body }, (options || {})));
    });
}
exports.deleteModelByIdsUsingPOST = deleteModelByIdsUsingPOST;
/** historicalDataSynchronization POST /smarthome/ops/appAddByModel/historicalDataSynchronization */
function historicalDataSynchronizationUsingPOST(options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/appAddByModel/historicalDataSynchronization`, method: 'POST' }, (options || {})));
    });
}
exports.historicalDataSynchronizationUsingPOST = historicalDataSynchronizationUsingPOST;
/** App型号管理列表 POST /smarthome/ops/appAddByModel/list */
function modelList(body, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/appAddByModel/list`, method: 'POST', data: body }, (options || {})));
    });
}
exports.modelList = modelList;
/** markingDataSync POST /smarthome/ops/appAddByModel/markingDataSync */
function markingDataSyncUsingPOST(options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/appAddByModel/markingDataSync`, method: 'POST' }, (options || {})));
    });
}
exports.markingDataSyncUsingPOST = markingDataSyncUsingPOST;
/** 按型号隐藏 POST /smarthome/ops/appAddByModel/modelHidden */
function modelHidden(body, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/appAddByModel/modelHidden`, method: 'POST', data: body }, (options || {})));
    });
}
exports.modelHidden = modelHidden;
/** 获取数据来源信息 GET /smarthome/ops/appAddByModel/sourceList */
function getSourceList(options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/appAddByModel/sourceList`, method: 'GET' }, (options || {})));
    });
}
exports.getSourceList = getSourceList;
