"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateBindingRelationship = exports.getChangedProductsNum = exports.getBingType = exports.getBindingRelationshipAudit = exports.exportUsingPOST = void 0;
const tslib_1 = require("tslib");
// @ts-ignore
/* eslint-disable */
const request_1 = tslib_1.__importDefault(require("@/utils/request"));
/** 下载产品明细 POST /smarthome/ops/bindingRelationship/export */
function exportUsingPOST(params, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/bindingRelationship/export`, method: 'POST', params: Object.assign({}, params) }, (options || {})));
    });
}
exports.exportUsingPOST = exportUsingPOST;
/** 变更历史记录 GET /smarthome/ops/bindingRelationship/getBindingRelationshipAudit */
function getBindingRelationshipAudit(options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/bindingRelationship/getBindingRelationshipAudit`, method: 'GET' }, (options || {})));
    });
}
exports.getBindingRelationshipAudit = getBindingRelationshipAudit;
/** 绑定关系列表 GET /smarthome/ops/bindingRelationship/getBingType */
function getBingType(options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/bindingRelationship/getBingType`, method: 'GET' }, (options || {})));
    });
}
exports.getBingType = getBingType;
/** 获取变更的产品个数 POST /smarthome/ops/bindingRelationship/getChangedProductsNum */
function getChangedProductsNum(body, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/bindingRelationship/getChangedProductsNum`, method: 'POST', data: body }, (options || {})));
    });
}
exports.getChangedProductsNum = getChangedProductsNum;
/** 批量更新绑定关系 POST /smarthome/ops/bindingRelationship/updateBindingRelationship */
function updateBindingRelationship(body, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/bindingRelationship/updateBindingRelationship`, method: 'POST', data: body }, (options || {})));
    });
}
exports.updateBindingRelationship = updateBindingRelationship;
