"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.delEcologyPackage = exports.saveOrUpdateEcologyPackage = exports.ecologyPackageList = void 0;
const tslib_1 = require("tslib");
// @ts-ignore
/* eslint-disable */
const request_1 = tslib_1.__importDefault(require("@/utils/request"));
/** 生态接入包列表 POST /smarthome/ops/platform-config/ecology-package-name/list */
function ecologyPackageList(body, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/platform-config/ecology-package-name/list`, method: 'POST', data: body }, (options || {})));
    });
}
exports.ecologyPackageList = ecologyPackageList;
/** 增加或编辑生态接入包 POST /smarthome/ops/platform-config/ecology-package-name/saveOrUpdate */
function saveOrUpdateEcologyPackage(body, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/platform-config/ecology-package-name/saveOrUpdate`, method: 'POST', data: body }, (options || {})));
    });
}
exports.saveOrUpdateEcologyPackage = saveOrUpdateEcologyPackage;
/** 删除生态接入包 POST /smarthome/ops/platform-config/ecology-package-name/status */
function delEcologyPackage(params, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/platform-config/ecology-package-name/status`, method: 'POST', params: Object.assign({}, params) }, (options || {})));
    });
}
exports.delEcologyPackage = delEcologyPackage;
