"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.uploadImg = exports.save = exports.saveProductConfigUsingPOST = exports.queryProductConfigUsingGET = void 0;
const tslib_1 = require("tslib");
// @ts-ignore
/* eslint-disable */
const request_1 = tslib_1.__importDefault(require("@/utils/request"));
/** 根据uuid查询配网说明 GET /smarthome/ops/product/config/query */
function queryProductConfigUsingGET(params, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/product/config/query`, method: 'GET', params: Object.assign({}, params) }, (options || {})));
    });
}
exports.queryProductConfigUsingGET = queryProductConfigUsingGET;
/** 保存配网说明修改 POST /smarthome/ops/product/config/save */
function saveProductConfigUsingPOST(body, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/product/config/save`, method: 'POST', data: body }, (options || {})));
    });
}
exports.saveProductConfigUsingPOST = saveProductConfigUsingPOST;
/** 同步数据至生产 POST /smarthome/ops/product/config/syncToOnline */
function save(params, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/product/config/syncToOnline`, method: 'POST', params: Object.assign({}, params) }, (options || {})));
    });
}
exports.save = save;
/** 配网说明图片上传 POST /smarthome/ops/product/config/uploadImg */
function uploadImg(body, file, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const formData = new FormData();
        if (file) {
            formData.append('file', file);
        }
        Object.keys(body).forEach((ele) => {
            const item = body[ele];
            if (item !== undefined && item !== null) {
                formData.append(ele, typeof item === 'object' && !(item instanceof File) ? JSON.stringify(item) : item);
            }
        });
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/product/config/uploadImg`, method: 'POST', headers: {
                'Content-Type': 'multipart/form-data',
            }, data: formData }, (options || {})));
    });
}
exports.uploadImg = uploadImg;
