"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sceneSpaceUpdate = exports.spaceType = exports.sceneSpaceStatus = exports.sceneSpaceList = exports.sceneSpaceDelete = void 0;
const tslib_1 = require("tslib");
// @ts-ignore
/* eslint-disable */
const request_1 = tslib_1.__importDefault(require("@/utils/request"));
/** 根据id删除场景 DELETE /smarthome/ops/sceneSpace/${id} */
function sceneSpaceDelete(params, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const { id } = params, queryParams = tslib_1.__rest(params, ["id"]);
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/sceneSpace/${id}`, method: 'DELETE', params: Object.assign({}, queryParams) }, (options || {})));
    });
}
exports.sceneSpaceDelete = sceneSpaceDelete;
/** 场景空间列表 POST /smarthome/ops/sceneSpace/list */
function sceneSpaceList(body, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/sceneSpace/list`, method: 'POST', data: body }, (options || {})));
    });
}
exports.sceneSpaceList = sceneSpaceList;
/** 修改启用状态 POST /smarthome/ops/sceneSpace/sceneSpaceStatus */
function sceneSpaceStatus(body, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/sceneSpace/sceneSpaceStatus`, method: 'POST', data: body }, (options || {})));
    });
}
exports.sceneSpaceStatus = sceneSpaceStatus;
/** 获取可用场景空间 GET /smarthome/ops/sceneSpace/spaceType */
function spaceType(options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/sceneSpace/spaceType`, method: 'GET' }, (options || {})));
    });
}
exports.spaceType = spaceType;
/** 创建或编辑场景 POST /smarthome/ops/sceneSpace/UpdateOrInsert */
function sceneSpaceUpdate(body, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/sceneSpace/UpdateOrInsert`, method: 'POST', data: body }, (options || {})));
    });
}
exports.sceneSpaceUpdate = sceneSpaceUpdate;
