"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sortList = exports.skuStatus = exports.sceneSpaceTemplateRelUpdate = exports.sceneSpaceTemplateRelStatus = exports.sceneSpaceTemplateRelAll = exports.findTemplateNameById = exports.deleteById = void 0;
const tslib_1 = require("tslib");
// @ts-ignore
/* eslint-disable */
const request_1 = tslib_1.__importDefault(require("@/utils/request"));
/** 根据推荐场景Id删除推荐场景 DELETE /smarthome/ops/sceneSpaceTemplateRel/${id} */
function deleteById(params, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const { id } = params, queryParams = tslib_1.__rest(params, ["id"]);
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/sceneSpaceTemplateRel/${id}`, method: 'DELETE', params: Object.assign({}, queryParams) }, (options || {})));
    });
}
exports.deleteById = deleteById;
/** 获取推荐场景名称 GET /smarthome/ops/sceneSpaceTemplateRel/findNameById */
function findTemplateNameById(params, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/sceneSpaceTemplateRel/findNameById`, method: 'GET', params: Object.assign({}, params) }, (options || {})));
    });
}
exports.findTemplateNameById = findTemplateNameById;
/** 推荐场景列表 POST /smarthome/ops/sceneSpaceTemplateRel/list */
function sceneSpaceTemplateRelAll(body, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/sceneSpaceTemplateRel/list`, method: 'POST', data: body }, (options || {})));
    });
}
exports.sceneSpaceTemplateRelAll = sceneSpaceTemplateRelAll;
/** 启用或禁用编辑推荐场景状态 POST /smarthome/ops/sceneSpaceTemplateRel/sceneSpaceTemplateStatus */
function sceneSpaceTemplateRelStatus(body, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/sceneSpaceTemplateRel/sceneSpaceTemplateStatus`, method: 'POST', data: body }, (options || {})));
    });
}
exports.sceneSpaceTemplateRelStatus = sceneSpaceTemplateRelStatus;
/** 编辑或者新增推荐场景 POST /smarthome/ops/sceneSpaceTemplateRel/sceneSpaceUpdate */
function sceneSpaceTemplateRelUpdate(body, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/sceneSpaceTemplateRel/sceneSpaceUpdate`, method: 'POST', data: body }, (options || {})));
    });
}
exports.sceneSpaceTemplateRelUpdate = sceneSpaceTemplateRelUpdate;
/** 获取SKU状态 POST /smarthome/ops/sceneSpaceTemplateRel/skuStatus */
function skuStatus(body, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/sceneSpaceTemplateRel/skuStatus`, method: 'POST', data: body }, (options || {})));
    });
}
exports.skuStatus = skuStatus;
/** 获取推荐场景名称 POST /smarthome/ops/sceneSpaceTemplateRel/sortList */
function sortList(body, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/sceneSpaceTemplateRel/sortList`, method: 'POST', data: body }, (options || {})));
    });
}
exports.sortList = sortList;
