"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.upload = void 0;
const tslib_1 = require("tslib");
// @ts-ignore
/* eslint-disable */
const request_1 = tslib_1.__importDefault(require("@/utils/request"));
/** 上传文件 POST /smarthome/ops/upload/file */
function upload(body, file, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const formData = new FormData();
        if (file) {
            formData.append('file', file);
        }
        Object.keys(body).forEach((ele) => {
            const item = body[ele];
            if (item !== undefined && item !== null) {
                formData.append(ele, typeof item === 'object' && !(item instanceof File) ? JSON.stringify(item) : item);
            }
        });
        return (0, request_1.default)(Object.assign({ url: `/smarthome/ops/upload/file`, method: 'POST', headers: {
                'Content-Type': 'multipart/form-data',
            }, data: formData }, (options || {})));
    });
}
exports.upload = upload;
